package com.logicbig.example;


import com.fasterxml.jackson.annotation.JsonIdentityReference;

public class Employee {
    private String name;
    private String dept;
    @JsonIdentityReference(alwaysAsId = true)
    private Address address;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }

    public static Employee of(String name, String dept, Address address) {
        Employee e = new Employee();
        e.name = name;
        e.dept = dept;
        e.address = address;
        return e;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "name='" + name + '\'' +
                ", dept='" + dept + '\'' +
                ", address=" + address +
                '}';
    }
}